FUNCTION vs_errbselect, state
  COMMON vs_block
  ;;
  OldErrbState = state.ErrbSize
  ErrbBase = Widget_Base(title='VS Error Bars', /col)
  ErrbLabel = Widget_Label(ErrbBase, val='Show Errorbars?', font=vs_fonts[1])
  ErrbCheck = cw_bgroup(ErrbBase, ['No', 'Yes'], $
                        uval='ErrbCheck', $
                        /excl, $
                        font=vs_fonts[1], $
                        /row $
                       )
  ErrbList = Widget_Button(ErrbBase, $
                           val='Observation Time List', $
                           uval='ErrbList', $
                           font=vs_fonts[1])
  ErrbControl = Widget_Base(ErrbBase, /row)
  ErrbCancel = Widget_Button(ErrbControl, $
                             val='Cancel', $
                             uval='ErrbCancel', $
                             font=vs_fonts[1])
  ErrbOK = Widget_Button(ErrbControl, val='OK', $
                         uval='ErrbOK', $
                         font=vs_fonts[1])
  IF olderrbstate EQ 0 THEN BEGIN 
      Widget_Control, ErrbCheck, set_val=0
      Widget_Control, ErrbList, sens=0
  ENDIF ELSE BEGIN
      Widget_Control, ErrbCheck, set_val=1
  ENDELSE 
  Widget_Control, ErrbBase, /realize
  ;;
  ;; start the event loop
  ;;
  Eflag = 0
  WHILE Eflag EQ 0 DO BEGIN
      Event = Widget_Event(ErrbBase)
      CASE Event.ID OF
          ErrbCancel:BEGIN
              Eflag = 1
              widget_control, ErrbBase, /Clear_Events, /Destroy
              return, OldErrbState
          END 
          ErrbOK:BEGIN
              Eflag = 1
              Widget_Control, ErrbCheck, get_val=NewErrbState
              IF NewErrbState NE 0 THEN NewErrbState = -1
              widget_control, ErrbBase, /Clear_Events, /Destroy
              return, NewErrbState
          END 
          ErrbCheck:BEGIN
              IF vs_debug THEN print, (Event.Value)
              CASE Event.Value OF 
                  1:BEGIN
                      Widget_Control, ErrbList, sens=0
                      Widget_Control, ErrbCheck, set_val=0
                  END 
                  0:BEGIN
                      Widget_Control, Errblist, sens=1
                      Widget_Control, ErrbCheck, set_val=1
                  END 
              ENDCASE 
              Widget_Control, ErrbCheck, /Clear_Events
          END 
          ErrbList:BEGIN
              ObsTimes = vs_obsselect(*state.ObsTimes)
              IF total(ObsTimes) NE -99 THEN BEGIN 
                  *state.ObsTimes = ObsTimes > state.StartHR < state.EndHR
              ENDIF
          END 
          ELSE:
      ENDCASE 
  ENDWHILE 
  return, -1
  END 
              

